.TH IPPL 8 "Last change: 24 January 1999"

.SH NAME
ippl \- IP Protocols Logger

.SH SYNOPSIS
.B ippl
[\-hn] [-c file-name] [\-\-help] [\-\-nodaemon] [\-\-config file-name]

.SH DESCRIPTION
.I ippl
is an IP protocols logger. It logs incoming TCP connections, UDP
datagrams and ICMP packets sent to a host.
.PP
.I ippl
is based on the well-known iplogger written by Mike Edulla. The main 
drawback of iplogger is that it is not (easily) configurable.
.I ippl
has been written keeping in mind that it should be extremely
configurable and it should be easy to extend its logging capabilities.

.SH OPTIONS

.TP
.B \-c file-name, \-\-config file-name
file-name specifies an alternate configuration file to use. By
default, CONFIGURATION_FILE is used.

.TP
.B \-h, \-\-help
Print a usage message on standard output and exits successfully.

.TP
.B \-n, \-\-nodaemon
This option cause
.I ippl
no to place itself in the background. The log messages will be logged
to standard output instead of using syslog.

.SH CONFIGURATION
.I ippl
is extremely configurable. A set of rules is used to specify what
packets should or should not be logged.
.PP
The syntax of the configuration file is as follows:

.PP
Specifying which threads to run:
.TP
run [protocol] [protocol] ...
protocol can be
.I icmp
to specify that the thread logging ICMP messages should be run
.I tcp
to specify that the thread logging TCP connections should be run
.I udp
to specify that the thread logging UDP datagrams should be run

.PP
There are two different types of rules. The first one describes what
packets to log, and the second one describes the packets that should
be ignored. The syntax of a rule is as follows:
.TP
[log|ignore] [protocol] [description]
.I log
and
.I ignore
 defines the type of the rule. protocol is one of the supported
protocols, or
.I all
can be used to specify that the rule applies to all the protocols.
description holds the type of packet and the hosts to which the rule
applies.
.PP
Please see CONFIGURATION_FILE for the details.

.SH FILES
 CONFIGURATION_FILE - configuration file

.SH SEE ALSO
RFC768, RFC791, RFC792, RFC793

.SH AUTHORS
Hugo Haas (hugo@via.ecp.fr)
Etienne Bernard (eb@via.ecp.fr)
.PP
New releases can be found at http://master.debian.org/~hugo/ippl/.

.SH BUGS
If
.I ippl
spends too much time resolving host names, some packets may not be
logged.
.PP
Please reports any bug to ippl@via.ecp.fr
